<template lang="pug">
header.header
  .header__wrap.wrap
    router-link.header__logo(exact to="/"): img(src="@/assets/img/logo.svg", alt="logo")
    .header__main
      nav.header__nav.nav
        ul.nav__elems
          li.nav__elem: router-link.nav__link(exact to="/services") Услуги
          li.nav__elem: router-link.nav__link(exact to="/companies") Компаниям
          li.nav__elem: router-link.nav__link(exact to="/tenders") Участие в тендерах
          li.nav__elem: router-link.nav__link(exact to="/portfolio") Портфолио
          li.nav__elem: router-link.nav__link(exact to="/about") О нас
          li.nav__elem: router-link.nav__link(exact to="/blog") Блог
      .header__contacts
        .header__location.location
          span Москва и область 
          i: img(src="@/assets/img/arrow-little.svg", alt="arrow")
        a.header__phone(href="tel:+74955632345") +7 495 563-23-45
</template>

<script>
export default {
  name: "vHeader",
  props: {},
};
</script>

<style lang="scss">
.header {
  height: 100px;
  position: relative;
  z-index: 500;
  &__wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;

    height: 100%;
    @media (max-width: 1170px) {
      display: flex;
      flex-direction: column;
      align-items: flex-start;

      padding-top: 30px !important;
    }
    @media (max-width: 740px) {
      align-items: center;
    }
  }
  &__main {
    display: flex;
    justify-content: flex-end;
    align-items: center;

    height: 100%;
    @media (max-width: 940px) {
      display: flex;
      flex-direction: column;
      align-items: flex-start;

      padding-top: 20px;
      margin-top: 20px;
    }
    @media (max-width: 740px) {
      margin-top: 20px;
    }
  }
  &__contacts {
    padding-left: 40px;
    @media (max-width: 940px) {
      padding-left: 0;
    }
    @media (max-width: 740px) {
      margin: 0 auto;
    }
  }
  &__phone {
    font: 500 20px/24px "Museo Sans", sans-serif;
    color: $mid-black;
    text-decoration: none;

    transition: all 0.3s ease-in-out;
    &:hover {
      color: $blue;
    }
  }
  &__location {
    display: flex;
    justify-content: flex-end;
    cursor: pointer;
    transition: all 0.2s;
    @media (max-width: 940px) {
      justify-content: flex-start;
    }
    @media (max-width: 740px) {
      justify-content: center;
    }
    &:hover {
      opacity: 0.8;
    }
    span {
      font: 500 12px/14px "Museo Sans", sans-serif;
      color: $blue;
    }
    i {
      margin-left: 4px;
      margin-top: -3px;
    }
  }
  &__logo {
    @media (max-width: 740px) {
      margin-bottom: 20px;
    }
  }
}

.nav {
  &__elems {
    display: flex;
    align-items: center;

    height: 36px;

    padding-right: 40px;

    list-style: none;

    border-right: 1px solid $light-gray;
    @media (max-width: 940px) {
      border-color: transparent;
    }
    @media (max-width: 740px) {
      flex-wrap: wrap;
      justify-content: center;
      margin-bottom: 30px;
      padding-right: 0px;
    }
  }
  &__elem {
    margin-right: 40px;
    &:last-child {
      margin-right: 0;
    }
    @media (max-width: 740px) {
      margin-bottom: 10px;
    }
  }
  &__link {
    position: relative;

    font: 500 16px/20px "Museo Sans", sans-serif;
    color: $mid-black;
    text-decoration: none;

    transition: all 0.3s ease-in-out;
    &::before {
      content: "";
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      bottom: -5px;

      height: 2px;
      width: 0%;

      background-color: $blue;
      transition: all 0.3s ease-in-out;
    }
    &:hover:not(.router-link-active) {
      color: $blue;
      &::before {
        width: 100%;
      }
    }
    &.router-link-active {
      color: $blue;
    }
  }
}
</style>
